[**Headlamp Sealed Secrets API v0.2.0**](../../README.md)

***

[Headlamp Sealed Secrets API](../../README.md) / [types](../README.md) / AsyncResult

# Type Alias: AsyncResult\<T, E\>

> **AsyncResult**\<`T`, `E`\> = `Promise`\<[`Result`](Result.md)\<`T`, `E`\>\>

Defined in: [src/types.ts:24](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/types.ts#L24)

Async result type for promises that can fail

## Type Parameters

### T

`T`

### E

`E` = `Error`
